package com.hzya.frame.u8c.util;

import cn.hutool.core.util.StrUtil;
import cn.hutool.http.HttpRequest;
import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;

/**
 * com.hzya.frame.u8c.util
 *
 * @author yqh
 * @date 2023-11 -14 18:45
 */

public class U8cHttpUtil {
    public static String baseUrl = "127.0.0.1:9999/kangarooDataCenterV3/entranceController/externalCallInterface";
    public static JSONObject sendOATOU8CEsb(String parm, String apiCode){

        String result = HttpRequest.post(baseUrl)
                .header("usercode", "admin")//头信息，多个头信息多次调用此方法即可
//                .header("needStackTrace", "Y")//头信息，多个头信息多次调用此方法即可
                .header("password", "eddea5c9f7fab1a9d18410cda784c224")//头信息，多个头信息多次调用此方法即可
                .header("trantype", "PK")//头信息，多个头信息多次调用此方法即可
                .header("system", "sowow")//头信息，多个头信息多次调用此方法即可
                .header("appId", "800005")//头信息，多个头信息多次调用此方法即可
                .header("apiCode", apiCode)//头信息，多个头信息多次调用此方法即可
                .header("publicKey", "ZJYAWb7lhAUTYqekPkU+uHJv1/ObJxb7dT7sD8HPRDGAgyhCe7eDIk+3zDUT+v578prj")//头信息，多个头信息多次调用此方法即可
                .header("secretKey", "fviZnLBsQUAGF8w8FSOdJi7XlIm/XAZclMxRagDLfTyJFlvnIBF3w66Hrpfzs8cYj3JzOP8MtA1LSGvL+2BWG8c/o7DKi92S4mr3zcGearA=")//头信息，多个头信息多次调用此方法即可
                .body(parm)//表单内容
                .timeout(20000)//超时，毫秒
                .execute().body();
        if(StrUtil.isNotEmpty(result)){
            return analytic(result);
        }
        return null;
    }
    public static JSONObject analytic(String parm){
        JSONObject main = JSON.parseObject(parm);
        String status = main.getString("status");
        if("200".equals(status)){
            String attribute = main.getString("attribute");
            JSONObject attributeObj = JSON.parseObject(attribute);
            return attributeObj;
        }
        return null;
    }
}
